为什么在Edgy下无法同时安装glibc-doc和glibc-doc-reference?

C、C++和Java语言
回复
tiny
帖子: 2
注册时间: 2007-01-31 17:38
送出感谢: 0
接收感谢: 0

为什么在Edgy下无法同时安装glibc-doc和glibc-doc-reference?

#1

帖子 tiny » 2007-03-15 9:38

在6.06下好像只有glibc-doc,6.10里因为licence问题分成了两个。
用apt单独安装任何一个都没有问题。如果先装glibc-doc,再装glibc-doc-reference,有如下错误

...
Unpacking glibc-doc-reference (from .../glibc-doc-reference_2.3.6-1_all.deb) ...
dpkg: error processing /var/cache/apt/archives/glibc-doc-reference_2.3.6-1_all.deb (--unpack):
trying to overwrite `/usr/share/doc-base/glibc-manual', which is also in package glibc-doc
dpkg-deb: subprocess paste killed by signal (Broken pipe)
Errors were encountered while processing:
/var/cache/apt/archives/glibc-doc-reference_2.3.6-1_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
A package failed to install. Trying to recover:
然后就结束了。可是glibc-doc还suggest了glibc-doc-reference。
有没有解决办法?先谢了。
回复

回到 “C/C++/Java”